(function () {
    "use strict";

    angular.module('core').factory('fluxoCaixaService', factory);
    factory.$inject = ['$http', '$q'];

    function factory($http, $q) {

        return {
            getAll: function (args) {
                var deferred = $q.defer();
                $http.post('/fluxoCaixa/getAll', args)
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            }
        };

    }

})();


